## gtkmm3.0 3.24.5

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'min',
  description: 'Compiler warning level')
option('dist-warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'fatal',
  description: 'Compiler warning level when a tarball is created')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-atkmm-api', type: 'boolean', value: true,
  description: 'Build atkmm API and include it in the library')
option('build-x11-api', type: 'combo', choices: ['false', 'if-enabled-in-gdk', 'true'],
  value: 'if-enabled-in-gdk', description: 'Build X11 API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('build-demos', type: 'boolean', value: true, description: 'Build demo programs')
option('build-tests', type: 'boolean', value: true, description: 'Build test programs')
option('msvc14x-parallel-installable', type: 'boolean', value: true,
  description: 'Use separate DLL and LIB filenames for Visual Studio 2015, 2017 and 2019')

## gtkmm3.0 3.2.0

=== debian/changelog ===
gtkmm3.0 (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Remove Application, because it is still not ready
    - Assistant: Deprecate get/set_page_header_image() and
      get/set_page_side_image().
    - TreeView: Added unset_row_separator_func().
  * debian/control.in: Bump libgtk-3-dev and libglibmm-2.4-dev build
    dependencies as per configure.ac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Sep 2011 06:33:04 +0200

gtkmm3.0 (3.1.90.1-0ubuntu1) oneiric; urgency=low

  * New upstream release, matching our GTK+ 3.0 version.
  * debian/control.in: Bump libgtk-3-dev build dependency as per configure.ac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2011 15:02:01 +0200

gtkmm3.0 (3.1.16-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/watch: Look for unstable versions.
  * debian/control.in: Bump libgtk-3-dev B-D as per configure.ac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Sep 2011 10:17:39 +0200

gtkmm3.0 (3.0.1-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Initial packaging work based on gtkmm2.4 package.

  [ Rico Tzschichholz ]
  * Initial release.

  [ Deng Xiyue ]
  * New upstream release.
  * debian/watch:
    + Track *.tar.bz2 instead of *.tar.gz.
  * debian/control{.in,}:
    + Add mm-common >= 0.9.3 to build-depends as per configure.ac.
    + Bump Standards-Version to 3.9.2 (No changes needed).
  * debian/libgtkmm-3.0-dev.install:
    + Stop shipping usr/lib/*.la
  * debian/rules:
    + Drop clean-la.mk since they are not shipped any more.

  [ Michael Biebl ]
  * debian/control.in:
    + Fix Vcs-* URLs.

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Jun 2011 00:12:44 +0200

gtkmm2.4 (1:2.24.0-1) unstable; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release.
    - Fixes incompatibility with GTK+ 2.24+.  (Closes: #621063)
  * debian/rules:
    Update SHVER to 1:2.24.0 because of new API.
  * debian/control.in:
    - Bump build dependency on libgtk2.0-dev, libpangomm-1.4-dev
      and libatkmm-1.6-dev.

  [ Deng Xiyue ]
  * debian/control.in:
    - Update Standards-Version to 3.9.2. No changes needed.
  * debian/watch:
    - Track gtkmm 2.x instead of 3.
    - Track *.tar.bz2 instead of *.tar.gz.
  * debian/README.Debian:
    - Add notes about atkmm split.
  * debian/patches/{aclocal.m4.patch,configure.ac.patch,relibtoolize.patch}:
    - Fix building against glibmm 2.28.
  * debian/control.in:
    - Build depends on mm-common >= 0.9.3.
    - Bump build dependency of libglibmm-2.4-dev to >= 2.27.93

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 27 Apr 2011 15:53:14 +0800

gtkmm2.4 (1:2.22.0-1) experimental; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (Closes: #606407)
  * upstream no longer installs examples in /usr/share/gtkmm-2.4
    so install them into libgtkmm-2.4-doc package instead.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Bump build dependency on libgtk2.0-dev.
    - Remove build dependency on chrpath.
  * debian/rules:
    - Remove chrpath call, it's not needed anymore with newer libtools.
    - Don't compress the examples.
  * debian/source/format,
    debian/rules:
    - Switch to source format 3.0 (quilt).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 09 Dec 2010 00:50:53 +0100

gtkmm2.4 (1:2.20.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 17:01:12 +0200

gtkmm2.4 (1:2.20.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 14:47:17 +0200

gtkmm2.4 (1:2.20.1-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.
    + debian/rules:
      - Update SHVER to 2.20.0 because of new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Apr 2010 13:41:50 +0200

gtkmm2.4 (1:2.18.2-2) unstable; urgency=low

  [ Deng Xiyue ]
  * Improve short description by removing confusing version number and explain
    in long description.  Thanks Filipus Klutiero for suggestion.
    (Closes: #551196)

  [ Mario Lang ]
  * Install example source code with libgtkmm-2.4-dev.

 -- Mario Lang <mlang@debian.org>  Tue, 02 Mar 2010 11:02:07 +0100

gtkmm2.4 (1:2.18.2-1) unstable; urgency=low

  * New upstream release.
    + Bump shlibs version to 2.18.0 for new API addition.
    + Bump build-depends libgtk2.0-dev >= 2.18.0, libatk1.0-dev >= 1.12,
      libpangomm-1.4-dev >= 2.26.0, libglibmm-2.4-dev >= 2.22.1-2 for
      gmmprocdir support. Bump depends likewise, except
      libglibmm-2.4-dev >= 2.22.0 as upstream.
    + Adjust doc path to new location in new release.
    + Demos are now all source files.  Remove executable handling.
    + Fix FTBFS against GTK+ 2.18.1.  (Closes: #549430)
  * Update Standard-Version to 3.8.3.  No changes needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 05 Oct 2009 20:34:14 -0700

gtkmm2.4 (1:2.16.0-2) unstable; urgency=low

  * Upload to unstable.
    + Drop check-dist.mk in debian/rules.
    + Track unstable branch in Vcs-* links.
  * Update debian/copyright to conform to latest DEP 5.
    + Fix incorrect license.
    + Point to versioned license files.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 20 Apr 2009 21:06:08 +0800

gtkmm2.4 (1:2.16.0-1) experimental; urgency=low

  * New upstream release.  Upload experimental to match GTK+.
    + Update shlibs version to 1:2.16.0.
    + Update bdep to libglibmm-2.4-dev >= 2.20.0, libgtk2.0-dev >= 2.15.5.
    + Drop 01_faq_remove.patch, fixed upstream.
    + Reintroduce check-dist.mk.
  * Change libgtkmm-2.4-dbg to section "debug".
  * Update Standard-Version to 3.8.1.  No change needed.
  * Track experimental branch in Vcs-*.
  * Drop versioned dpkg-dev bdep as the version in stable is enough.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Fri, 20 Mar 2009 22:55:00 +0800

gtkmm2.4 (1:2.14.3-2) unstable; urgency=low



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gtkmm3.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Mario Lang <mlang@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.gtkmm.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm3.0
Build-Depends: cdbs (>= 0.4.51),
               debhelper (>= 7),
               gnome-pkg-tools (>= 0.11),
               libgtk-3-dev (>= 3.2.0),
               libglibmm-2.4-dev (>= 2.30.0),
               libcairomm-1.0-dev (>= 1.9.2),
               libpangomm-1.4-dev (>= 2.27.1),
               libatkmm-1.6-dev (>= 2.22.2),
               libgdk-pixbuf2.0-dev (>= 2.22.1),
               mm-common (>= 0.9.3)
Standards-Version: 3.9.2

Package: libgtkmm-3.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtkmm-3.0-1 (= ${binary:Version}),
         libgtk-3-dev (>= 3.0.0),
         libglibmm-2.4-dev (>= 2.27.93),
         libcairomm-1.0-dev (>= 1.9.2),
         libpangomm-1.4-dev (>= 2.27.1),
         libatkmm-1.6-dev (>= 2.22.2),
         libgdk-pixbuf2.0-dev (>= 2.22.1)
Suggests: libgtkmm-3.0-doc
Description: C++ wrappers for GTK+ (development files)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains development files and examples, as well as a
 gtkmm-demo program.

Package: libgtkmm-3.0-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ wrappers for GTK+ (shared libraries)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains shared libraries.

Package: libgtkmm-3.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtkmm-3.0-1 (= ${binary:Version})
Description: C++ wrappers for GTK+ (debug symbols)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains debug symbols for debugging applications using gtkmm.

Package: libgtkmm-3.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lynx | www-browser,
         doc-base
Recommends: gtkmm-documentation
Description: C++ wrappers for GTK+ (documentation)
 Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
 Gtkmm provides a convenient interface for C++ programmers to create
 graphical user interfaces with GTK+'s flexible OO framework. Highlights
 include type safe callbacks, widgets extensible using inheritance and
 over 180 classes that can be freely combined to quickly create complex
 user interfaces.
 .
 This package contains tutorial, FAQ, and reference documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := gtkmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 3.0.1

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_COMPRESS_EXCLUDE_libgtkmm-3-doc = examples
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://download.gnome.org/sources/gtkmm/([\d\.]+)/ \
        gtkmm-([\d\.]+)\.tar\.bz2

## gtkmm3.0 3.4.0

=== debian/changelog ===
gtkmm3.0 (3.4.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev and libglibmm-2.4-dev
  * debian/rules:
    - Set SHVER to 3.4.0

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2012 10:13:59 +1000

gtkmm3.0 (3.3.18-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control.in: updated the glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 12:06:35 +0100

gtkmm3.0 (3.3.16-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control.in: updated the glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Mar 2012 23:42:36 +0100

gtkmm3.0 (3.3.14-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Feb 2012 18:46:36 +0100

gtkmm3.0 (3.3.2-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control.in: updated gtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jan 2012 16:31:50 +0100

gtkmm3.0 (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Bump Build-Depends on libgtk-3-dev to (>= 3.2.0).
    - Bump Build-Depends on libglibmm-2.4-dev to (>= 2.30.0).

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 02:03:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Mario Lang <mlang@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
@@ -16,8 +16,8 @@
 Build-Depends: cdbs (>= 0.4.51),
                debhelper (>= 7),
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.2.0),
-               libglibmm-2.4-dev (>= 2.30.0),
+               libgtk-3-dev (>= 3.4.0),
+               libglibmm-2.4-dev (>= 2.32.0),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
@@ -31,8 +31,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.0.0),
-         libglibmm-2.4-dev (>= 2.27.93),
+         libgtk-3-dev (>= 3.4.0),
+         libglibmm-2.4-dev (>= 2.32.0),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,9 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.0.1
+SHVER := 3.4.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 DEB_COMPRESS_EXCLUDE_libgtkmm-3-doc = examples
-DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"

## gtkmm3.0 3.4.2

=== debian/changelog ===
gtkmm3.0 (3.4.2-1) unstable; urgency=low

  * New upstream stable release.
  * Don't compress doxygen tag files since doxygen can't handle those.
  * Enable xz compression for binary packages.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Sep 2012 08:36:51 +0200

gtkmm3.0 (3.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 02:59:42 +0200

gtkmm3.0 (3.4.0-1) experimental; urgency=low

  * New upstream release.
  * Bump dependency on libgtk-3-dev to (>= 3.4.0).
  * Bump dependency on libglibmm-2.4-dev to (>= 2.32.0).
  * Bump SHVER to 3.4.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Apr 2012 13:38:02 +0200

gtkmm3.0 (3.3.20-1) experimental; urgency=low

  * New upstream development release.
  * Bump (Build-)Depends on libgtk-3-dev to (>= 3.3.18).
  * Bump (Build-)Depends on libglibmm-2.4-dev to (>= 2.31.22).
  * Update debian/copyright using the final copyright format 1.0 spec.
  * Convert to multiarch.
  * Bump Standards-Version to 3.9.3.
  * Bump SHVER to 3.3.20.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2012 23:47:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Source: gtkmm3.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm3.0
-Build-Depends: cdbs (>= 0.4.51),
-               debhelper (>= 7),
+Build-Depends: cdbs (>= 0.4.93),
+               debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
                libgtk-3-dev (>= 3.4.0),
                libglibmm-2.4-dev (>= 2.32.0),
@@ -23,11 +22,12 @@
                libatkmm-1.6-dev (>= 2.22.2),
                libgdk-pixbuf2.0-dev (>= 2.22.1),
                mm-common (>= 0.9.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
@@ -52,6 +52,8 @@
 Package: libgtkmm-3.0-1
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: C++ wrappers for GTK+ (shared libraries)
@@ -68,6 +70,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version})
@@ -84,6 +87,7 @@
 Package: libgtkmm-3.0-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          lynx | www-browser,

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,13 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 DEB_COMPRESS_EXCLUDE_libgtkmm-3-doc = examples
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
+
+# Don't compress doxygen tag files
+DEB_COMPRESS_EXCLUDE = .tag
+
+# Use xz compression
+DEB_DH_BUILDDEB_ARGS ?= -- -Zxz

## gtkmm3.0 3.5.13

=== debian/changelog ===
gtkmm3.0 (3.5.13-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglibmm-2.4-dev, libgtk-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 28 Sep 2012 09:25:06 +1200

gtkmm3.0 (3.5.12-0ubuntu3) quantal; urgency=low

  * Fix FTBFS, build depend on graphviz, xsltproc as well.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2012 17:21:49 +0200

gtkmm3.0 (3.5.12-0ubuntu2) quantal; urgency=low

  * Fix FTBFS, build depend on doxygen.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2012 16:51:38 +0200

gtkmm3.0 (3.5.12-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Aug 2012 17:20:58 +1200

gtkmm3.0 (3.5.6-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Jul 2012 09:30:10 +1200

gtkmm3.0 (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev, libglibmm-2.4-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 18 Jun 2012 12:17:28 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gtkmm3.0
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
@@ -15,12 +14,13 @@
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.4.0),
-               libglibmm-2.4-dev (>= 2.32.0),
+               libgtk-3-dev (>= 3.6.0),
+               libglibmm-2.4-dev (>= 2.33.13),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
                libgdk-pixbuf2.0-dev (>= 2.22.1),
+               doxygen, graphviz, xsltproc,
                mm-common (>= 0.9.3)
 Standards-Version: 3.9.3
 
@@ -31,8 +31,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.4.0),
-         libglibmm-2.4-dev (>= 2.32.0),
+         libgtk-3-dev (>= 3.6.0),
+         libglibmm-2.4-dev (>= 2.33.13),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),

## gtkmm3.0 3.6.0

=== debian/changelog ===
gtkmm3.0 (3.6.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglibmm-2.4-dev, mm-common

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 12 Nov 2012 10:47:00 +1300

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
                libgtk-3-dev (>= 3.6.0),
-               libglibmm-2.4-dev (>= 2.33.13),
+               libglibmm-2.4-dev (>= 2.34.0),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
                libgdk-pixbuf2.0-dev (>= 2.22.1),
                doxygen, graphviz, xsltproc,
-               mm-common (>= 0.9.3)
+               mm-common (>= 0.9.6)
 Standards-Version: 3.9.3
 
 Package: libgtkmm-3.0-dev

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,3 @@
 
 DEB_COMPRESS_EXCLUDE_libgtkmm-3-doc = examples
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
-
-# Don't compress doxygen tag files
-DEB_COMPRESS_EXCLUDE = .tag
-
-# Use xz compression
-DEB_DH_BUILDDEB_ARGS ?= -- -Zxz

## gtkmm3.0 3.8.1

=== debian/changelog ===
gtkmm3.0 (3.8.1-1) unstable; urgency=low

  * New upstream release.
  * Bump dependency on libglibmm-2.4-dev to (>= 2.36.2) and
    libgtk-3-dev to (>= 3.8.0).
  * Bump SHVER to 3.8.1.
  * Drop DM-Upload-Allowed field, DM upload permissions are no longer handled
    this way.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 May 2013 02:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,26 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gtkmm3.0
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
-DM-Upload-Allowed: yes
+Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm3.0
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.6.0),
-               libglibmm-2.4-dev (>= 2.34.0),
+               libgtk-3-dev (>= 3.8.0),
+               libglibmm-2.4-dev (>= 2.36.2),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
                libgdk-pixbuf2.0-dev (>= 2.22.1),
-               doxygen, graphviz, xsltproc,
-               mm-common (>= 0.9.6)
-Standards-Version: 3.9.3
+               mm-common (>= 0.9.3)
+Standards-Version: 3.9.4
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
@@ -31,8 +30,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.6.0),
-         libglibmm-2.4-dev (>= 2.33.13),
+         libgtk-3-dev (>= 3.8.0),
+         libglibmm-2.4-dev (>= 2.36.2),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.4.0
+SHVER := 3.8.1
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
@@ -18,3 +18,9 @@
 
 DEB_COMPRESS_EXCLUDE_libgtkmm-3-doc = examples
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
+
+# Don't compress doxygen tag files
+DEB_COMPRESS_EXCLUDE = .tag
+
+# Use xz compression
+DEB_DH_BUILDDEB_ARGS ?= -- -Zxz

## gtkmm3.0 3.10.1

=== debian/changelog ===
gtkmm3.0 (3.10.1-0ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf to update libtool.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Dec 2013 02:02:15 +0000

gtkmm3.0 (3.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump build-depends on libgtk-3-dev, libglibmm-2.4-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Dec 2013 10:23:59 +1300

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gtkmm3.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm3.0
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
+	       dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.8.0),
-               libglibmm-2.4-dev (>= 2.36.2),
+               libgtk-3-dev (>= 3.10.0),
+               libglibmm-2.4-dev (>= 2.38.0),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
@@ -30,8 +31,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.8.0),
-         libglibmm-2.4-dev (>= 2.36.2),
+         libgtk-3-dev (>= 3.10.0),
+         libglibmm-2.4-dev (>= 2.38.0),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk

=== debian/watch ===
version=3
http://download.gnome.org/sources/gtkmm/([\d\.]+[24680])/ \
        gtkmm-([\d\.]+)\.tar\.xz

## gtkmm3.0 3.12.0

=== debian/changelog ===
gtkmm3.0 (3.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to fix FTBFS on ppc64el.

 -- Andreas Barth <aba@ayous.org>  Thu, 28 Aug 2014 19:43:16 +0000

gtkmm3.0 (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 9.
  * Bump Build-Depends on debhelper to (>= 9) to match debian/compat.
  * Update dependencies as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.38.0).
    - Bump libgtk-3-dev to (>= 3.12.0).
    - Bump libgdk-pixbuf2.0-dev to (>= 2.26.0).
    - Bump mm-common to (>= 0.9.6).
  * Bump Standards-Version to 3.9.5.
  * Bump SHVER to 3.12.0.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Apr 2014 02:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,27 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gtkmm3.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm3.0
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtkmm3.0
 Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
-	       dh-autoreconf,
+               debhelper (>= 9),
+               dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.10.0),
+               libgtk-3-dev (>= 3.12.0),
                libglibmm-2.4-dev (>= 2.38.0),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
-               libgdk-pixbuf2.0-dev (>= 2.22.1),
-               mm-common (>= 0.9.3)
-Standards-Version: 3.9.4
+               libgdk-pixbuf2.0-dev (>= 2.26.0),
+               mm-common (>= 0.9.6)
+Standards-Version: 3.9.5
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
@@ -31,12 +31,12 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.10.0),
+         libgtk-3-dev (>= 3.12.0),
          libglibmm-2.4-dev (>= 2.38.0),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),
-         libgdk-pixbuf2.0-dev (>= 2.22.1)
+         libgdk-pixbuf2.0-dev (>= 2.26.0)
 Suggests: libgtkmm-3.0-doc
 Description: C++ wrappers for GTK+ (development files)
  Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.8.1
+SHVER := 3.12.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## gtkmm3.0 3.14.0

=== debian/changelog ===
gtkmm3.0 (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.42.0).
    - Bump libgtk-3-dev to (>= 3.14.0).
  * Use default compression for binary packages.
  * Bump SHVER to 3.14.0.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Sep 2014 00:51:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gtkmm3.0
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtkmm3.0
@@ -15,8 +14,8 @@
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.12.0),
-               libglibmm-2.4-dev (>= 2.38.0),
+               libgtk-3-dev (>= 3.14.0),
+               libglibmm-2.4-dev (>= 2.42.0),
                libcairomm-1.0-dev (>= 1.9.2),
                libpangomm-1.4-dev (>= 2.27.1),
                libatkmm-1.6-dev (>= 2.22.2),
@@ -31,8 +30,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.12.0),
-         libglibmm-2.4-dev (>= 2.38.0),
+         libgtk-3-dev (>= 3.14.0),
+         libglibmm-2.4-dev (>= 2.42.0),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.12.0
+SHVER := 3.14.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
@@ -22,6 +22,3 @@
 
 # Don't compress doxygen tag files
 DEB_COMPRESS_EXCLUDE = .tag
-
-# Use xz compression
-DEB_DH_BUILDDEB_ARGS ?= -- -Zxz

## gtkmm3.0 3.16.0

=== debian/changelog ===
gtkmm3.0 (3.16.0-2) unstable; urgency=medium

  * Team upload.
  * Rename library for g++-5 transition, from libgtkmm-3.0-1
    to libgtkmm-3.0-1v5.
    Based on patches from Sebastien Bacher.
    - Conflicts/Replaces the old library
    - Bump build-dependencies to g++-5-transitioned versions

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Aug 2015 23:32:07 +0100

gtkmm3.0 (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.44.0).
    - Bump libgtk-3-dev to (>= 3.16.0).
    - Bump mm-common to (>= 0.9.7).
  * Bump Standards-Version to 3.9.6.
  * Bump SHVER to 3.16.0 due to API additions.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 17:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.14.0),
-               libglibmm-2.4-dev (>= 2.42.0),
-               libcairomm-1.0-dev (>= 1.9.2),
-               libpangomm-1.4-dev (>= 2.27.1),
-               libatkmm-1.6-dev (>= 2.22.2),
+               libgtk-3-dev (>= 3.16.0),
+               libglibmm-2.4-dev (>= 2.44.0-2~),
+               libcairomm-1.0-dev (>= 1.10.0-1.2~),
+               libpangomm-1.4-dev (>= 2.36.0-2~),
+               libatkmm-1.6-dev (>= 2.22.7-3~),
                libgdk-pixbuf2.0-dev (>= 2.26.0),
-               mm-common (>= 0.9.6)
-Standards-Version: 3.9.5
+               mm-common (>= 0.9.7)
+Standards-Version: 3.9.6
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
@@ -29,9 +29,9 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgtkmm-3.0-1 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.14.0),
-         libglibmm-2.4-dev (>= 2.42.0),
+         libgtkmm-3.0-1v5 (= ${binary:Version}),
+         libgtk-3-dev (>= 3.16.0),
+         libglibmm-2.4-dev (>= 2.44.0),
          libcairomm-1.0-dev (>= 1.9.2),
          libpangomm-1.4-dev (>= 2.27.1),
          libatkmm-1.6-dev (>= 2.22.2),
@@ -48,13 +48,15 @@
  This package contains development files and examples, as well as a
  gtkmm-demo program.
 
-Package: libgtkmm-3.0-1
+Package: libgtkmm-3.0-1v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: libgtkmm-3.0-1
+Replaces: libgtkmm-3.0-1
 Description: C++ wrappers for GTK+ (shared libraries)
  Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
  Gtkmm provides a convenient interface for C++ programmers to create
@@ -72,7 +74,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgtkmm-3.0-1 (= ${binary:Version})
+         libgtkmm-3.0-1v5 (= ${binary:Version})
 Description: C++ wrappers for GTK+ (debug symbols)
  Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
  Gtkmm provides a convenient interface for C++ programmers to create

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.14.0
+SHVER := 3.16.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## gtkmm3.0 3.18.0

=== debian/changelog ===
gtkmm3.0 (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.18.0).
    - Bump libglibmm-2.4-dev to (>= 2.46.1).
    - Bump libcairomm-1.0-dev to (>= 1.12.0).
    - Bump libpangomm-1.4-dev to (>= 2.38.1).
    - Bump libatkmm-1.6-dev to (>= 2.24.1).
    - Bump mm-common to (>= 0.9.8).
  * Bump SHVER to 3.18.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 16:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtkmm3.0
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.16.0),
-               libglibmm-2.4-dev (>= 2.44.0-2~),
-               libcairomm-1.0-dev (>= 1.10.0-1.2~),
-               libpangomm-1.4-dev (>= 2.36.0-2~),
-               libatkmm-1.6-dev (>= 2.22.7-3~),
+               libgtk-3-dev (>= 3.18.0),
+               libglibmm-2.4-dev (>= 2.46.1),
+               libcairomm-1.0-dev (>= 1.12.0),
+               libpangomm-1.4-dev (>= 2.38.1),
+               libatkmm-1.6-dev (>= 2.24.1),
                libgdk-pixbuf2.0-dev (>= 2.26.0),
-               mm-common (>= 0.9.7)
+               mm-common (>= 0.9.8)
 Standards-Version: 3.9.6
 
 Package: libgtkmm-3.0-dev
@@ -30,11 +30,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1v5 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.16.0),
-         libglibmm-2.4-dev (>= 2.44.0),
-         libcairomm-1.0-dev (>= 1.9.2),
-         libpangomm-1.4-dev (>= 2.27.1),
-         libatkmm-1.6-dev (>= 2.22.2),
+         libgtk-3-dev (>= 3.18.0),
+         libglibmm-2.4-dev (>= 2.46.1),
+         libcairomm-1.0-dev (>= 1.12.0),
+         libpangomm-1.4-dev (>= 2.38.1),
+         libatkmm-1.6-dev (>= 2.24.1),
          libgdk-pixbuf2.0-dev (>= 2.26.0)
 Suggests: libgtkmm-3.0-doc
 Description: C++ wrappers for GTK+ (development files)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.16.0
+SHVER := 3.18.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## gtkmm3.0 3.20.1

=== debian/changelog ===
gtkmm3.0 (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.20.0).
    - Bump libglibmm-2.4-dev to (>= 2.48.0).
    - Bump libpangomm-1.4-dev to (>= 2.38.2).
    - Bump libatkmm-1.6-dev to (>= 2.24.2).
    - Bump mm-common to (>= 0.9.10).
  * Bump SHVER to 3.20.0.
  * Drop libgtkmm-3.0-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libgtkmm-3.0-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration.  Bump Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 21:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,17 @@
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm3.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtkmm3.0
 Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
+               debhelper (>= 9.20160114),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.11),
-               libgtk-3-dev (>= 3.18.0),
-               libglibmm-2.4-dev (>= 2.46.1),
+               libgtk-3-dev (>= 3.20.0),
+               libglibmm-2.4-dev (>= 2.48.0),
                libcairomm-1.0-dev (>= 1.12.0),
-               libpangomm-1.4-dev (>= 2.38.1),
-               libatkmm-1.6-dev (>= 2.24.1),
+               libpangomm-1.4-dev (>= 2.38.2),
+               libatkmm-1.6-dev (>= 2.24.2),
                libgdk-pixbuf2.0-dev (>= 2.26.0),
-               mm-common (>= 0.9.8)
-Standards-Version: 3.9.6
+               mm-common (>= 0.9.10)
+Standards-Version: 3.9.8
 
 Package: libgtkmm-3.0-dev
 Section: libdevel
@@ -30,11 +30,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtkmm-3.0-1v5 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.18.0),
-         libglibmm-2.4-dev (>= 2.46.1),
+         libgtk-3-dev (>= 3.20.0),
+         libglibmm-2.4-dev (>= 2.48.0),
          libcairomm-1.0-dev (>= 1.12.0),
-         libpangomm-1.4-dev (>= 2.38.1),
-         libatkmm-1.6-dev (>= 2.24.1),
+         libpangomm-1.4-dev (>= 2.38.2),
+         libatkmm-1.6-dev (>= 2.24.2),
          libgdk-pixbuf2.0-dev (>= 2.26.0)
 Suggests: libgtkmm-3.0-doc
 Description: C++ wrappers for GTK+ (development files)
@@ -67,24 +67,6 @@
  .
  This package contains shared libraries.
 
-Package: libgtkmm-3.0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgtkmm-3.0-1v5 (= ${binary:Version})
-Description: C++ wrappers for GTK+ (debug symbols)
- Gtkmm is a C++ interface for the popular GUI library GTK+, API version 3.0.
- Gtkmm provides a convenient interface for C++ programmers to create
- graphical user interfaces with GTK+'s flexible OO framework. Highlights
- include type safe callbacks, widgets extensible using inheritance and
- over 180 classes that can be freely combined to quickly create complex
- user interfaces.
- .
- This package contains debug symbols for debugging applications using gtkmm.
-
 Package: libgtkmm-3.0-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,16 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 3.18.0
+SHVER := 3.20.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-DEB_COMPRESS_EXCLUDE_libgtkmm-3-doc = examples
+DEB_COMPRESS_EXCLUDE_$(DOC_PKG) = examples
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
+
+DEB_DH_STRIP_ARGS = --dbgsym-migration='libgtkmm-3.0-dbg (<< 3.20.1-1~)'
 
 # Don't compress doxygen tag files
 DEB_COMPRESS_EXCLUDE = .tag
